Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.transport.impl.apache
Class StreamServerImpl

    java.lang.Object
      org.teleal.cling.transport.impl.apache.StreamServerImpl

All Implemented Interfaces:
  Runnable, StreamServer<StreamServerConfigurationImpl>

    public class StreamServerImpl

extends Object
implements StreamServer<StreamServerConfigurationImpl>

Author:
  Christian Bauer

Field Summary
`protected StreamServerConfigurationImpl` | `configuration`
`protected org.apache.http.params.HttpParams` | `globalParams`
`protected Router` | `router`
`protected ServerSocket` | `serverSocket`

Constructor Summary
`StreamServerImpl(StreamServerConfigurationImpl configuration)`

Method Summary
`StreamServerConfigurationImpl` | `getConfiguration()`
`void` | `init(InetAddress bindAddress, Router router)`
`void` | `run()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### router

    protected Router router

### configuration

    protected StreamServerConfigurationImpl configuration

### serverSocket

    protected ServerSocket serverSocket

### globalParams

    protected org.apache.http.params.HttpParams globalParams

Constructor Detail

### StreamServerImpl

    public StreamServerImpl(StreamServerConfigurationImpl configuration)

Method Detail

### getConfiguration

    public StreamServerConfigurationImpl getConfiguration()

  Specified by:
    `getConfiguration` in interface `StreamServer<StreamServerConfigurationImpl>`

### init

    public void init(InetAddress bindAddress,
                     Router router)
              throws InitializationException

  Specified by:
    `init` in interface `StreamServer<StreamServerConfigurationImpl>`
  Throws:
    `InitializationException`

### stop

    public void stop()

  Specified by:
    `stop` in interface `StreamServer<StreamServerConfigurationImpl>`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.